import request from '@/utils/request'

// 查询联系我分组列表
export function listContactWayGroup(query) {
  return request({
    url: '/qw/contactWayGroup/list',
    method: 'get',
    params: query
  })
}

// 查询联系我分组详细
export function getContactWayGroup(id) {
  return request({
    url: '/qw/contactWayGroup/' + id,
    method: 'get'
  })
}

// 新增联系我分组
export function addContactWayGroup(data) {
  return request({
    url: '/qw/contactWayGroup',
    method: 'post',
    data: data
  })
}

// 修改联系我分组
export function updateContactWayGroup(data) {
  return request({
    url: '/qw/contactWayGroup',
    method: 'put',
    data: data
  })
}

// 删除联系我分组
export function delContactWayGroup(id) {
  return request({
    url: '/qw/contactWayGroup/' + id,
    method: 'delete'
  })
}

// 导出联系我分组
export function exportContactWayGroup(query) {
  return request({
    url: '/qw/contactWayGroup/export',
    method: 'get',
    params: query
  })
}